Skip to main content
POST
/
storage-configs
/
{uid}
/
test
cURL
curl --request POST \
  --url https://api.avala.ai/api/v1/storage-configs/{uid}/test/ \
  --header 'Content-Type: application/json' \
  --header 'X-Avala-Api-Key: <api-key>' \
  --data '{}'
{
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "provider": "aws_s3",
  "s3_bucket_name": "<string>",
  "s3_bucket_region": "<string>",
  "s3_bucket_prefix": "<string>",
  "s3_is_accelerated": true,
  "s3_auth_method": "access_key",
  "gc_storage_bucket_name": "<string>",
  "gc_storage_prefix": "<string>",
  "is_verified": true,
  "last_verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json

The body is of type object.

Response

201 - application/json
uid
string<uuid>
name
string
Minimum string length: 1
provider
enum<string>
Available options:
aws_s3,
gc_storage
s3_bucket_name
string
Minimum string length: 1
s3_bucket_region
string
Minimum string length: 1
s3_bucket_prefix
string
Minimum string length: 1
s3_is_accelerated
boolean
s3_auth_method
enum<string>
Available options:
access_key,
iam_role
gc_storage_bucket_name
string
Minimum string length: 1
gc_storage_prefix
string
Minimum string length: 1
is_verified
boolean
last_verified_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>